﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SGEWCF2.SevenWS {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="UsuarioEntidadExterna", Namespace="urn:MinComu.Ser.Core.DataContracts")]
    [System.SerializableAttribute()]
    public partial class UsuarioEntidadExterna : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string IdAppEntidadField;
        
        private string IdUsuarioField;
        
        private string PasswordField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string IdAppEntidad {
            get {
                return this.IdAppEntidadField;
            }
            set {
                if ((object.ReferenceEquals(this.IdAppEntidadField, value) != true)) {
                    this.IdAppEntidadField = value;
                    this.RaisePropertyChanged("IdAppEntidad");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string IdUsuario {
            get {
                return this.IdUsuarioField;
            }
            set {
                if ((object.ReferenceEquals(this.IdUsuarioField, value) != true)) {
                    this.IdUsuarioField = value;
                    this.RaisePropertyChanged("IdUsuario");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Password {
            get {
                return this.PasswordField;
            }
            set {
                if ((object.ReferenceEquals(this.PasswordField, value) != true)) {
                    this.PasswordField = value;
                    this.RaisePropertyChanged("Password");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="FurGeneradosListarIn", Namespace="urn:MinComu.Ser.Core.DataContracts")]
    [System.SerializableAttribute()]
    public partial class FurGeneradosListarIn : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private System.DateTime FechaFinalField;
        
        private System.DateTime FechaInicialField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public System.DateTime FechaFinal {
            get {
                return this.FechaFinalField;
            }
            set {
                if ((this.FechaFinalField.Equals(value) != true)) {
                    this.FechaFinalField = value;
                    this.RaisePropertyChanged("FechaFinal");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public System.DateTime FechaInicial {
            get {
                return this.FechaInicialField;
            }
            set {
                if ((this.FechaInicialField.Equals(value) != true)) {
                    this.FechaInicialField = value;
                    this.RaisePropertyChanged("FechaInicial");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="RptOperacion", Namespace="urn:MinComu.Ser.Core.DataContracts")]
    [System.SerializableAttribute()]
    [System.Runtime.Serialization.KnownTypeAttribute(typeof(SGEWCF2.SevenWS.FurGeneradosConfirmarOut))]
    [System.Runtime.Serialization.KnownTypeAttribute(typeof(SGEWCF2.SevenWS.FurGeneradosListarOut))]
    public partial class RptOperacion : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string IdOperacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime FechaOperacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string DescripcionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private SGEWCF2.SevenWS.EstadosOperacion EstadoOperacionField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string IdOperacion {
            get {
                return this.IdOperacionField;
            }
            set {
                if ((object.ReferenceEquals(this.IdOperacionField, value) != true)) {
                    this.IdOperacionField = value;
                    this.RaisePropertyChanged("IdOperacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=1)]
        public System.DateTime FechaOperacion {
            get {
                return this.FechaOperacionField;
            }
            set {
                if ((this.FechaOperacionField.Equals(value) != true)) {
                    this.FechaOperacionField = value;
                    this.RaisePropertyChanged("FechaOperacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public string Descripcion {
            get {
                return this.DescripcionField;
            }
            set {
                if ((object.ReferenceEquals(this.DescripcionField, value) != true)) {
                    this.DescripcionField = value;
                    this.RaisePropertyChanged("Descripcion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=3)]
        public SGEWCF2.SevenWS.EstadosOperacion EstadoOperacion {
            get {
                return this.EstadoOperacionField;
            }
            set {
                if ((this.EstadoOperacionField.Equals(value) != true)) {
                    this.EstadoOperacionField = value;
                    this.RaisePropertyChanged("EstadoOperacion");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="FurGeneradosConfirmarOut", Namespace="urn:MinComu.Ser.Core.DataContracts")]
    [System.SerializableAttribute()]
    public partial class FurGeneradosConfirmarOut : SGEWCF2.SevenWS.RptOperacion {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="FurGeneradosListarOut", Namespace="urn:MinComu.Ser.Core.DataContracts")]
    [System.SerializableAttribute()]
    public partial class FurGeneradosListarOut : SGEWCF2.SevenWS.RptOperacion {
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private SGEWCF2.SevenWS.DatosFurOut[] DatosFurField;
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public SGEWCF2.SevenWS.DatosFurOut[] DatosFur {
            get {
                return this.DatosFurField;
            }
            set {
                if ((object.ReferenceEquals(this.DatosFurField, value) != true)) {
                    this.DatosFurField = value;
                    this.RaisePropertyChanged("DatosFur");
                }
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="EstadosOperacion", Namespace="urn:MinComu.Ser.Core.DataContracts")]
    public enum EstadosOperacion : int {
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        OK = 0,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        FAIL_AUT = 1,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        FAIL_VAL = 2,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        FAIL = 3,
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="DatosFurOut", Namespace="urn:MinComu.Ser.Core.DataContracts")]
    [System.SerializableAttribute()]
    public partial class DatosFurOut : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NumeroReferenciaFURField;
        
        private string PeriodoField;
        
        private string NumeroObligacionField;
        
        private System.DateTime FechaVencimientoFURField;
        
        private string IdentificacionOperadorField;
        
        private string RazonSocialField;
        
        private string TelefonoField;
        
        private string FaxField;
        
        private string EmailField;
        
        private string RevisorFiscalField;
        
        private string RepresentanteLegalField;
        
        private string DireccionField;
        
        private string MunicipioField;
        
        private string DepartamentoField;
        
        private int CodigoExpedienteField;
        
        private string CodigoServicioField;
        
        private int NumeroResolucionField;
        
        private System.DateTime FechaResolucionField;
        
        private int NumeroCuadroTecnicoField;
        
        private System.DateTime FechaCuadroTecnicoField;
        
        private decimal TotalIngresosField;
        
        private decimal TotalDeduccionesField;
        
        private decimal TotalIngresosBaseField;
        
        private float PorcentajeLiquidacionField;
        
        private System.DateTime FechaInicialLiquidacionField;
        
        private System.DateTime FechaFinalLiquidacionField;
        
        private SGEWCF2.SevenWS.DatosFurConceptosOut[] ConceptosField;
        
        private int DiasInteresesMoraField;
        
        private float TasaPorcentajeField;
        
        private bool EfectivoAnualField;
        
        private int NumeroPagareField;
        
        private decimal TasaLiquidacion07Field;
        
        private int NumeroDiasMora07Field;
        
        private decimal TasaLiquidacion11Field;
        
        private int NumeroDiasMora11Field;
        
        private long TotalAPagarField;
        
        private string UsuarioGeneracionField;
        
        private System.DateTime FechaGeneracionField;
        
        private string TipoObligacionField;
        
        private string TipoPagoField;
        
        private string TipoPresentacionField;
        
        private string UbicacionArchivoField;
        
        private string ObservacionesField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroReferenciaFUR {
            get {
                return this.NumeroReferenciaFURField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroReferenciaFURField, value) != true)) {
                    this.NumeroReferenciaFURField = value;
                    this.RaisePropertyChanged("NumeroReferenciaFUR");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Periodo {
            get {
                return this.PeriodoField;
            }
            set {
                if ((object.ReferenceEquals(this.PeriodoField, value) != true)) {
                    this.PeriodoField = value;
                    this.RaisePropertyChanged("Periodo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=2)]
        public string NumeroObligacion {
            get {
                return this.NumeroObligacionField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroObligacionField, value) != true)) {
                    this.NumeroObligacionField = value;
                    this.RaisePropertyChanged("NumeroObligacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=3)]
        public System.DateTime FechaVencimientoFUR {
            get {
                return this.FechaVencimientoFURField;
            }
            set {
                if ((this.FechaVencimientoFURField.Equals(value) != true)) {
                    this.FechaVencimientoFURField = value;
                    this.RaisePropertyChanged("FechaVencimientoFUR");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=4)]
        public string IdentificacionOperador {
            get {
                return this.IdentificacionOperadorField;
            }
            set {
                if ((object.ReferenceEquals(this.IdentificacionOperadorField, value) != true)) {
                    this.IdentificacionOperadorField = value;
                    this.RaisePropertyChanged("IdentificacionOperador");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=5)]
        public string RazonSocial {
            get {
                return this.RazonSocialField;
            }
            set {
                if ((object.ReferenceEquals(this.RazonSocialField, value) != true)) {
                    this.RazonSocialField = value;
                    this.RaisePropertyChanged("RazonSocial");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=6)]
        public string Telefono {
            get {
                return this.TelefonoField;
            }
            set {
                if ((object.ReferenceEquals(this.TelefonoField, value) != true)) {
                    this.TelefonoField = value;
                    this.RaisePropertyChanged("Telefono");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=7)]
        public string Fax {
            get {
                return this.FaxField;
            }
            set {
                if ((object.ReferenceEquals(this.FaxField, value) != true)) {
                    this.FaxField = value;
                    this.RaisePropertyChanged("Fax");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=8)]
        public string Email {
            get {
                return this.EmailField;
            }
            set {
                if ((object.ReferenceEquals(this.EmailField, value) != true)) {
                    this.EmailField = value;
                    this.RaisePropertyChanged("Email");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=9)]
        public string RevisorFiscal {
            get {
                return this.RevisorFiscalField;
            }
            set {
                if ((object.ReferenceEquals(this.RevisorFiscalField, value) != true)) {
                    this.RevisorFiscalField = value;
                    this.RaisePropertyChanged("RevisorFiscal");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=10)]
        public string RepresentanteLegal {
            get {
                return this.RepresentanteLegalField;
            }
            set {
                if ((object.ReferenceEquals(this.RepresentanteLegalField, value) != true)) {
                    this.RepresentanteLegalField = value;
                    this.RaisePropertyChanged("RepresentanteLegal");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=11)]
        public string Direccion {
            get {
                return this.DireccionField;
            }
            set {
                if ((object.ReferenceEquals(this.DireccionField, value) != true)) {
                    this.DireccionField = value;
                    this.RaisePropertyChanged("Direccion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=12)]
        public string Municipio {
            get {
                return this.MunicipioField;
            }
            set {
                if ((object.ReferenceEquals(this.MunicipioField, value) != true)) {
                    this.MunicipioField = value;
                    this.RaisePropertyChanged("Municipio");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=13)]
        public string Departamento {
            get {
                return this.DepartamentoField;
            }
            set {
                if ((object.ReferenceEquals(this.DepartamentoField, value) != true)) {
                    this.DepartamentoField = value;
                    this.RaisePropertyChanged("Departamento");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=14)]
        public int CodigoExpediente {
            get {
                return this.CodigoExpedienteField;
            }
            set {
                if ((this.CodigoExpedienteField.Equals(value) != true)) {
                    this.CodigoExpedienteField = value;
                    this.RaisePropertyChanged("CodigoExpediente");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=15)]
        public string CodigoServicio {
            get {
                return this.CodigoServicioField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoServicioField, value) != true)) {
                    this.CodigoServicioField = value;
                    this.RaisePropertyChanged("CodigoServicio");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=16)]
        public int NumeroResolucion {
            get {
                return this.NumeroResolucionField;
            }
            set {
                if ((this.NumeroResolucionField.Equals(value) != true)) {
                    this.NumeroResolucionField = value;
                    this.RaisePropertyChanged("NumeroResolucion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=17)]
        public System.DateTime FechaResolucion {
            get {
                return this.FechaResolucionField;
            }
            set {
                if ((this.FechaResolucionField.Equals(value) != true)) {
                    this.FechaResolucionField = value;
                    this.RaisePropertyChanged("FechaResolucion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=18)]
        public int NumeroCuadroTecnico {
            get {
                return this.NumeroCuadroTecnicoField;
            }
            set {
                if ((this.NumeroCuadroTecnicoField.Equals(value) != true)) {
                    this.NumeroCuadroTecnicoField = value;
                    this.RaisePropertyChanged("NumeroCuadroTecnico");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=19)]
        public System.DateTime FechaCuadroTecnico {
            get {
                return this.FechaCuadroTecnicoField;
            }
            set {
                if ((this.FechaCuadroTecnicoField.Equals(value) != true)) {
                    this.FechaCuadroTecnicoField = value;
                    this.RaisePropertyChanged("FechaCuadroTecnico");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=20)]
        public decimal TotalIngresos {
            get {
                return this.TotalIngresosField;
            }
            set {
                if ((this.TotalIngresosField.Equals(value) != true)) {
                    this.TotalIngresosField = value;
                    this.RaisePropertyChanged("TotalIngresos");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=21)]
        public decimal TotalDeducciones {
            get {
                return this.TotalDeduccionesField;
            }
            set {
                if ((this.TotalDeduccionesField.Equals(value) != true)) {
                    this.TotalDeduccionesField = value;
                    this.RaisePropertyChanged("TotalDeducciones");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=22)]
        public decimal TotalIngresosBase {
            get {
                return this.TotalIngresosBaseField;
            }
            set {
                if ((this.TotalIngresosBaseField.Equals(value) != true)) {
                    this.TotalIngresosBaseField = value;
                    this.RaisePropertyChanged("TotalIngresosBase");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=23)]
        public float PorcentajeLiquidacion {
            get {
                return this.PorcentajeLiquidacionField;
            }
            set {
                if ((this.PorcentajeLiquidacionField.Equals(value) != true)) {
                    this.PorcentajeLiquidacionField = value;
                    this.RaisePropertyChanged("PorcentajeLiquidacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=24)]
        public System.DateTime FechaInicialLiquidacion {
            get {
                return this.FechaInicialLiquidacionField;
            }
            set {
                if ((this.FechaInicialLiquidacionField.Equals(value) != true)) {
                    this.FechaInicialLiquidacionField = value;
                    this.RaisePropertyChanged("FechaInicialLiquidacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=25)]
        public System.DateTime FechaFinalLiquidacion {
            get {
                return this.FechaFinalLiquidacionField;
            }
            set {
                if ((this.FechaFinalLiquidacionField.Equals(value) != true)) {
                    this.FechaFinalLiquidacionField = value;
                    this.RaisePropertyChanged("FechaFinalLiquidacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=26)]
        public SGEWCF2.SevenWS.DatosFurConceptosOut[] Conceptos {
            get {
                return this.ConceptosField;
            }
            set {
                if ((object.ReferenceEquals(this.ConceptosField, value) != true)) {
                    this.ConceptosField = value;
                    this.RaisePropertyChanged("Conceptos");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=27)]
        public int DiasInteresesMora {
            get {
                return this.DiasInteresesMoraField;
            }
            set {
                if ((this.DiasInteresesMoraField.Equals(value) != true)) {
                    this.DiasInteresesMoraField = value;
                    this.RaisePropertyChanged("DiasInteresesMora");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=28)]
        public float TasaPorcentaje {
            get {
                return this.TasaPorcentajeField;
            }
            set {
                if ((this.TasaPorcentajeField.Equals(value) != true)) {
                    this.TasaPorcentajeField = value;
                    this.RaisePropertyChanged("TasaPorcentaje");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=29)]
        public bool EfectivoAnual {
            get {
                return this.EfectivoAnualField;
            }
            set {
                if ((this.EfectivoAnualField.Equals(value) != true)) {
                    this.EfectivoAnualField = value;
                    this.RaisePropertyChanged("EfectivoAnual");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=30)]
        public int NumeroPagare {
            get {
                return this.NumeroPagareField;
            }
            set {
                if ((this.NumeroPagareField.Equals(value) != true)) {
                    this.NumeroPagareField = value;
                    this.RaisePropertyChanged("NumeroPagare");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=31)]
        public decimal TasaLiquidacion07 {
            get {
                return this.TasaLiquidacion07Field;
            }
            set {
                if ((this.TasaLiquidacion07Field.Equals(value) != true)) {
                    this.TasaLiquidacion07Field = value;
                    this.RaisePropertyChanged("TasaLiquidacion07");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=32)]
        public int NumeroDiasMora07 {
            get {
                return this.NumeroDiasMora07Field;
            }
            set {
                if ((this.NumeroDiasMora07Field.Equals(value) != true)) {
                    this.NumeroDiasMora07Field = value;
                    this.RaisePropertyChanged("NumeroDiasMora07");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=33)]
        public decimal TasaLiquidacion11 {
            get {
                return this.TasaLiquidacion11Field;
            }
            set {
                if ((this.TasaLiquidacion11Field.Equals(value) != true)) {
                    this.TasaLiquidacion11Field = value;
                    this.RaisePropertyChanged("TasaLiquidacion11");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=34)]
        public int NumeroDiasMora11 {
            get {
                return this.NumeroDiasMora11Field;
            }
            set {
                if ((this.NumeroDiasMora11Field.Equals(value) != true)) {
                    this.NumeroDiasMora11Field = value;
                    this.RaisePropertyChanged("NumeroDiasMora11");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=35)]
        public long TotalAPagar {
            get {
                return this.TotalAPagarField;
            }
            set {
                if ((this.TotalAPagarField.Equals(value) != true)) {
                    this.TotalAPagarField = value;
                    this.RaisePropertyChanged("TotalAPagar");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=36)]
        public string UsuarioGeneracion {
            get {
                return this.UsuarioGeneracionField;
            }
            set {
                if ((object.ReferenceEquals(this.UsuarioGeneracionField, value) != true)) {
                    this.UsuarioGeneracionField = value;
                    this.RaisePropertyChanged("UsuarioGeneracion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=37)]
        public System.DateTime FechaGeneracion {
            get {
                return this.FechaGeneracionField;
            }
            set {
                if ((this.FechaGeneracionField.Equals(value) != true)) {
                    this.FechaGeneracionField = value;
                    this.RaisePropertyChanged("FechaGeneracion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=38)]
        public string TipoObligacion {
            get {
                return this.TipoObligacionField;
            }
            set {
                if ((object.ReferenceEquals(this.TipoObligacionField, value) != true)) {
                    this.TipoObligacionField = value;
                    this.RaisePropertyChanged("TipoObligacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=39)]
        public string TipoPago {
            get {
                return this.TipoPagoField;
            }
            set {
                if ((object.ReferenceEquals(this.TipoPagoField, value) != true)) {
                    this.TipoPagoField = value;
                    this.RaisePropertyChanged("TipoPago");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=40)]
        public string TipoPresentacion {
            get {
                return this.TipoPresentacionField;
            }
            set {
                if ((object.ReferenceEquals(this.TipoPresentacionField, value) != true)) {
                    this.TipoPresentacionField = value;
                    this.RaisePropertyChanged("TipoPresentacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=41)]
        public string UbicacionArchivo {
            get {
                return this.UbicacionArchivoField;
            }
            set {
                if ((object.ReferenceEquals(this.UbicacionArchivoField, value) != true)) {
                    this.UbicacionArchivoField = value;
                    this.RaisePropertyChanged("UbicacionArchivo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=42)]
        public string Observaciones {
            get {
                return this.ObservacionesField;
            }
            set {
                if ((object.ReferenceEquals(this.ObservacionesField, value) != true)) {
                    this.ObservacionesField = value;
                    this.RaisePropertyChanged("Observaciones");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="DatosFurConceptosOut", Namespace="urn:MinComu.Ser.Core.DataContracts")]
    [System.SerializableAttribute()]
    public partial class DatosFurConceptosOut : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string CodigoConceptoField;
        
        private decimal ValorConceptoField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CodigoConcepto {
            get {
                return this.CodigoConceptoField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoConceptoField, value) != true)) {
                    this.CodigoConceptoField = value;
                    this.RaisePropertyChanged("CodigoConcepto");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public decimal ValorConcepto {
            get {
                return this.ValorConceptoField;
            }
            set {
                if ((this.ValorConceptoField.Equals(value) != true)) {
                    this.ValorConceptoField = value;
                    this.RaisePropertyChanged("ValorConcepto");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="GeneralClientFault", Namespace="urn:MinComu.Ser.Core.DataContracts")]
    [System.SerializableAttribute()]
    public partial class GeneralClientFault : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string MessageField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ReasonField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string HowToFixField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Message {
            get {
                return this.MessageField;
            }
            set {
                if ((object.ReferenceEquals(this.MessageField, value) != true)) {
                    this.MessageField = value;
                    this.RaisePropertyChanged("Message");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Reason {
            get {
                return this.ReasonField;
            }
            set {
                if ((object.ReferenceEquals(this.ReasonField, value) != true)) {
                    this.ReasonField = value;
                    this.RaisePropertyChanged("Reason");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public string HowToFix {
            get {
                return this.HowToFixField;
            }
            set {
                if ((object.ReferenceEquals(this.HowToFixField, value) != true)) {
                    this.HowToFixField = value;
                    this.RaisePropertyChanged("HowToFix");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="GeneralServiceFault", Namespace="urn:MinComu.Ser.Core.DataContracts")]
    [System.SerializableAttribute()]
    public partial class GeneralServiceFault : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string IncidentIdField;
        
        private string IncidentDescriptionField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string IncidentId {
            get {
                return this.IncidentIdField;
            }
            set {
                if ((object.ReferenceEquals(this.IncidentIdField, value) != true)) {
                    this.IncidentIdField = value;
                    this.RaisePropertyChanged("IncidentId");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=1)]
        public string IncidentDescription {
            get {
                return this.IncidentDescriptionField;
            }
            set {
                if ((object.ReferenceEquals(this.IncidentDescriptionField, value) != true)) {
                    this.IncidentDescriptionField = value;
                    this.RaisePropertyChanged("IncidentDescription");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="FurGeneradosConfirmarIn", Namespace="urn:MinComu.Ser.Core.DataContracts")]
    [System.SerializableAttribute()]
    public partial class FurGeneradosConfirmarIn : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string IdentificadorBDUField;
        
        private string[] LstCodigosProcesoField;
        
        private string NumeroReferenciaFURField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string IdentificadorBDU {
            get {
                return this.IdentificadorBDUField;
            }
            set {
                if ((object.ReferenceEquals(this.IdentificadorBDUField, value) != true)) {
                    this.IdentificadorBDUField = value;
                    this.RaisePropertyChanged("IdentificadorBDU");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string[] LstCodigosProceso {
            get {
                return this.LstCodigosProcesoField;
            }
            set {
                if ((object.ReferenceEquals(this.LstCodigosProcesoField, value) != true)) {
                    this.LstCodigosProcesoField = value;
                    this.RaisePropertyChanged("LstCodigosProceso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroReferenciaFUR {
            get {
                return this.NumeroReferenciaFURField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroReferenciaFURField, value) != true)) {
                    this.NumeroReferenciaFURField = value;
                    this.RaisePropertyChanged("NumeroReferenciaFUR");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="urn:MinComu.Ser.Core.ServiceContracts", ConfigurationName="SevenWS.IServiceInterop")]
    public interface IServiceInterop {
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el nombre de contenedor (FurGeneradosListarRequest) del mensaje FurGeneradosListarRequest no coincide con el valor predeterminado (FurGeneradosListar)
        [System.ServiceModel.OperationContractAttribute(Action="FurGeneradosListar", ReplyAction="urn:MinComu.Ser.Core.ServiceContracts/IServiceInterop/FurGeneradosListarResponse")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.SevenWS.GeneralClientFault), Action="urn:MinComu.Ser.Core.ServiceContracts/IServiceInterop/FurGeneradosListarGeneralCl" +
            "ientFaultFault", Name="GeneralClientFault", Namespace="urn:MinComu.Ser.Core.DataContracts")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.SevenWS.GeneralServiceFault), Action="urn:MinComu.Ser.Core.ServiceContracts/IServiceInterop/FurGeneradosListarGeneralSe" +
            "rviceFaultFault", Name="GeneralServiceFault", Namespace="urn:MinComu.Ser.Core.DataContracts")]
        SGEWCF2.SevenWS.FurGeneradosListarResponse FurGeneradosListar(SGEWCF2.SevenWS.FurGeneradosListarRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el nombre de contenedor (FurGeneradosConfirmarRequest) del mensaje FurGeneradosConfirmarRequest no coincide con el valor predeterminado (FurGeneradosConfirmar)
        [System.ServiceModel.OperationContractAttribute(Action="FurGeneradosConfirmar", ReplyAction="urn:MinComu.Ser.Core.ServiceContracts/IServiceInterop/FurGeneradosConfirmarRespon" +
            "se")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.SevenWS.GeneralClientFault), Action="urn:MinComu.Ser.Core.ServiceContracts/IServiceInterop/FurGeneradosConfirmarGenera" +
            "lClientFaultFault", Name="GeneralClientFault", Namespace="urn:MinComu.Ser.Core.DataContracts")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.SevenWS.GeneralServiceFault), Action="urn:MinComu.Ser.Core.ServiceContracts/IServiceInterop/FurGeneradosConfirmarGenera" +
            "lServiceFaultFault", Name="GeneralServiceFault", Namespace="urn:MinComu.Ser.Core.DataContracts")]
        SGEWCF2.SevenWS.FurGeneradosConfirmarResponse FurGeneradosConfirmar(SGEWCF2.SevenWS.FurGeneradosConfirmarRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el nombre de contenedor (EstadoCuentaRequest) del mensaje EstadoCuentaRequest no coincide con el valor predeterminado (EstadoCartera)
        [System.ServiceModel.OperationContractAttribute(Action="EstadoCartera", ReplyAction="urn:MinComu.Ser.Core.ServiceContracts/IServiceInterop/EstadoCarteraResponse")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.SevenWS.GeneralClientFault), Action="urn:MinComu.Ser.Core.ServiceContracts/IServiceInterop/EstadoCarteraGeneralClientF" +
            "aultFault", Name="GeneralClientFault", Namespace="urn:MinComu.Ser.Core.DataContracts")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.SevenWS.GeneralServiceFault), Action="urn:MinComu.Ser.Core.ServiceContracts/IServiceInterop/EstadoCarteraGeneralService" +
            "FaultFault", Name="GeneralServiceFault", Namespace="urn:MinComu.Ser.Core.DataContracts")]
        SGEWCF2.SevenWS.EstadoCuentaResponse EstadoCartera(SGEWCF2.SevenWS.EstadoCuentaRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="FurGeneradosListarRequest", WrapperNamespace="urn:MinComu.Ser.Core.ServiceContracts", IsWrapped=true)]
    public partial class FurGeneradosListarRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="urn:MinComu.Ser.Core.ServiceContracts")]
        public SGEWCF2.SevenWS.UsuarioEntidadExterna UsuarioApp;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:MinComu.Ser.Core.ServiceContracts", Order=0)]
        public SGEWCF2.SevenWS.FurGeneradosListarIn DatosEntrada;
        
        public FurGeneradosListarRequest() {
        }
        
        public FurGeneradosListarRequest(SGEWCF2.SevenWS.UsuarioEntidadExterna UsuarioApp, SGEWCF2.SevenWS.FurGeneradosListarIn DatosEntrada) {
            this.UsuarioApp = UsuarioApp;
            this.DatosEntrada = DatosEntrada;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="FurGeneradosListarResponse", WrapperNamespace="urn:MinComu.Ser.Core.ServiceContracts", IsWrapped=true)]
    public partial class FurGeneradosListarResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:MinComu.Ser.Core.ServiceContracts", Order=0)]
        public SGEWCF2.SevenWS.FurGeneradosListarOut DatosSalida;
        
        public FurGeneradosListarResponse() {
        }
        
        public FurGeneradosListarResponse(SGEWCF2.SevenWS.FurGeneradosListarOut DatosSalida) {
            this.DatosSalida = DatosSalida;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="FurGeneradosConfirmarRequest", WrapperNamespace="urn:MinComu.Ser.Core.ServiceContracts", IsWrapped=true)]
    public partial class FurGeneradosConfirmarRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="urn:MinComu.Ser.Core.ServiceContracts")]
        public SGEWCF2.SevenWS.UsuarioEntidadExterna UsuarioApp;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:MinComu.Ser.Core.ServiceContracts", Order=0)]
        public SGEWCF2.SevenWS.FurGeneradosConfirmarIn DatosEntrada;
        
        public FurGeneradosConfirmarRequest() {
        }
        
        public FurGeneradosConfirmarRequest(SGEWCF2.SevenWS.UsuarioEntidadExterna UsuarioApp, SGEWCF2.SevenWS.FurGeneradosConfirmarIn DatosEntrada) {
            this.UsuarioApp = UsuarioApp;
            this.DatosEntrada = DatosEntrada;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="FurGeneradosConfirmarResponse", WrapperNamespace="urn:MinComu.Ser.Core.ServiceContracts", IsWrapped=true)]
    public partial class FurGeneradosConfirmarResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:MinComu.Ser.Core.ServiceContracts", Order=0)]
        public SGEWCF2.SevenWS.FurGeneradosConfirmarOut DatosSalida;
        
        public FurGeneradosConfirmarResponse() {
        }
        
        public FurGeneradosConfirmarResponse(SGEWCF2.SevenWS.FurGeneradosConfirmarOut DatosSalida) {
            this.DatosSalida = DatosSalida;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="EstadoCuentaRequest", WrapperNamespace="urn:MinComu.Ser.Core.ServiceContracts", IsWrapped=true)]
    public partial class EstadoCuentaRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:MinComu.Ser.Core.ServiceContracts", Order=0)]
        public string NitOperador;
        
        public EstadoCuentaRequest() {
        }
        
        public EstadoCuentaRequest(string NitOperador) {
            this.NitOperador = NitOperador;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="EstadoCuentaResponse", WrapperNamespace="urn:MinComu.Ser.Core.ServiceContracts", IsWrapped=true)]
    public partial class EstadoCuentaResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:MinComu.Ser.Core.ServiceContracts", Order=0)]
        public string ResultadoCartera;
        
        public EstadoCuentaResponse() {
        }
        
        public EstadoCuentaResponse(string ResultadoCartera) {
            this.ResultadoCartera = ResultadoCartera;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IServiceInteropChannel : SGEWCF2.SevenWS.IServiceInterop, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ServiceInteropClient : System.ServiceModel.ClientBase<SGEWCF2.SevenWS.IServiceInterop>, SGEWCF2.SevenWS.IServiceInterop {
        
        public ServiceInteropClient() {
        }
        
        public ServiceInteropClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ServiceInteropClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceInteropClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceInteropClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        SGEWCF2.SevenWS.FurGeneradosListarResponse SGEWCF2.SevenWS.IServiceInterop.FurGeneradosListar(SGEWCF2.SevenWS.FurGeneradosListarRequest request) {
            return base.Channel.FurGeneradosListar(request);
        }
        
        public SGEWCF2.SevenWS.FurGeneradosListarOut FurGeneradosListar(SGEWCF2.SevenWS.UsuarioEntidadExterna UsuarioApp, SGEWCF2.SevenWS.FurGeneradosListarIn DatosEntrada) {
            SGEWCF2.SevenWS.FurGeneradosListarRequest inValue = new SGEWCF2.SevenWS.FurGeneradosListarRequest();
            inValue.UsuarioApp = UsuarioApp;
            inValue.DatosEntrada = DatosEntrada;
            SGEWCF2.SevenWS.FurGeneradosListarResponse retVal = ((SGEWCF2.SevenWS.IServiceInterop)(this)).FurGeneradosListar(inValue);
            return retVal.DatosSalida;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        SGEWCF2.SevenWS.FurGeneradosConfirmarResponse SGEWCF2.SevenWS.IServiceInterop.FurGeneradosConfirmar(SGEWCF2.SevenWS.FurGeneradosConfirmarRequest request) {
            return base.Channel.FurGeneradosConfirmar(request);
        }
        
        public SGEWCF2.SevenWS.FurGeneradosConfirmarOut FurGeneradosConfirmar(SGEWCF2.SevenWS.UsuarioEntidadExterna UsuarioApp, SGEWCF2.SevenWS.FurGeneradosConfirmarIn DatosEntrada) {
            SGEWCF2.SevenWS.FurGeneradosConfirmarRequest inValue = new SGEWCF2.SevenWS.FurGeneradosConfirmarRequest();
            inValue.UsuarioApp = UsuarioApp;
            inValue.DatosEntrada = DatosEntrada;
            SGEWCF2.SevenWS.FurGeneradosConfirmarResponse retVal = ((SGEWCF2.SevenWS.IServiceInterop)(this)).FurGeneradosConfirmar(inValue);
            return retVal.DatosSalida;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        SGEWCF2.SevenWS.EstadoCuentaResponse SGEWCF2.SevenWS.IServiceInterop.EstadoCartera(SGEWCF2.SevenWS.EstadoCuentaRequest request) {
            return base.Channel.EstadoCartera(request);
        }
        
        public string EstadoCartera(string NitOperador) {
            SGEWCF2.SevenWS.EstadoCuentaRequest inValue = new SGEWCF2.SevenWS.EstadoCuentaRequest();
            inValue.NitOperador = NitOperador;
            SGEWCF2.SevenWS.EstadoCuentaResponse retVal = ((SGEWCF2.SevenWS.IServiceInterop)(this)).EstadoCartera(inValue);
            return retVal.ResultadoCartera;
        }
    }
}
